TOXIC.CONF(5)

NAME
toxic.conf - Configuration file for toxic(1)

DESCRIPTION
The toxic.conf file is the main configuration file for toxic(1) client.

SYNTAX
<SECTION> = {

<KEY1>:<BOOL_VALUE>;
<KEY2>=<NOT_BOOL_VALUE>;
 ...

};

Uses syntax accepted by libconfig.
Lines starting with "//" are comments and will be ignored.

Sections:

ui
    Configurations related to user interface.

    Keys:
    timestamps
        Enable or disable timestamps.
        Values: 'true' to enable, 'false' to disable

    alerts
        Enable or disable terminal alerts on events.
        Values: 'true' to enable, 'false' to disable

    native_colors
        Select between native terminal colors and toxic color theme.
        Values: 'true' for terminal colours, 'false' for toxic colours

    autolog
        Enable or disable autologging.
        Values: 'true' to enable, 'false' to disable

    time_format
        Select between 24 and 12 hour time.
        Values: 24, 12

    history_size
        Maximum lines for chat window history.
        Values: <INTEGER> (for example: 700)

audio
    Configurations related to audio devices.

    Keys:
    input_device
        Audio input device.
        Values: <INTEGER> (number correspond to "/lsdev in")

    output_device
        Audio output device.
        Values: <INTEGER> (number correspond to "/lsdev out")

    VAD_treshold
        Voice Activity Detection treshold.
        Values: <FLOAT> (recommended values are around 40.0)

tox
    Configurations related to file transfer.

    Keys:
    download_path
        Default path for downloads.
        Values: <STRING> (absolute path where to store downloaded files)

sounds
    Configurations related to notification sounds.

    Keys:
    error
        Sound to play when an error occurs.
        Values: <STRING> (sound file absolute path)

    self_log_in
        Sound to play when you log in.
        Values: <STRING> (sound file absolute path)

    self_log_out
        Sound to play when you log out.
        Values: <STRING> (sound file absolute path)

    user_log_in
        Sound to play when a contact become online.
        Values: <STRING> (sound file absolute path)

    user_log_out
        Sound to play when a contact become offline.
        Values: <STRING> (sound file absolute path)

    call_incoming
        Sound to play when you receive an incoming call.
        Values: <STRING> (sound file absolute path)

    call_outgoing
        Sound to play when you start a call.
        Values: <STRING> (sound file absolute path)

    generic_message
        Sound to play when an event occurs.
        Values: <STRING> (sound file absolute path)

    transfer_pending
        Sound to play when you receive a file transfer request.
        Values: <STRING> (sound file absolute path)

    transfer_completed
        Sound to play when a file transfer is completed.
        Values: <STRING> (sound file absolute path)

EXAMPLES
Default settings from __DATADIR__/toxic.conf.exmaple:

// SAMPLE TOXIC CONFIGURATION
// USES LIBCONFIG-ACCEPTED SYNTAX
ui = {
  // true to enable timestamps, false to disable
  timestamps:true;
  // true to enable terminal alerts on messages, false to disable
  alerts:true;
  // true to use native terminal colours, false to use toxic default colour theme
  native_colors:false;
  // true to enable autologging, false to disable
  autolog:false;
  // 24 or 12 hour time
  time_format=24;
  // maximum lines for chat window history
  history_size=700;
};
audio = {
  // preferred audio input device; numbers correspond to /lsdev in
  input_device=2;
  // preferred audio output device; numbers correspond to /lsdev out
  output_device=0;
  // default VAD treshold; float (recommended values are around 40)
  VAD_treshold=40.0;
};
tox = {
  // where to store received files
  // download_path="/home/USERNAME/Downloads/";
};
// To disable a sound set the path to "silent"
sounds = {
  error="__DATADIR__/sounds/Error.wav";
  self_log_in="__DATADIR__/sounds/LogIn.wav";
  self_log_out="__DATADIR__/sounds/LogOut.wav";
  user_log_in="__DATADIR__/sounds/ContactLogsIn.wav";
  user_log_out="__DATADIR__/sounds/ContactLogsOut.wav";
  call_incoming="__DATADIR__/sounds/IncomingCall.wav";
  call_outgoing="__DATADIR__/sounds/OutgoingCall.wav";
  generic_message="__DATADIR__/sounds/NewMessage.wav";
  transfer_pending="__DATADIR__/sounds/TransferPending.wav";
  transfer_completed="__DATADIR__/sounds/TransferComplete.wav";
};

FILES

~/.config/tox/toxic.conf
    Main configuration file.

__DATADIR__/toxic.conf.example
    Configuration example.

AUTHORS
JFreegman <JFreegman@gmail.com>

SEE ALSO
toxic(1)

LINKS
Project page on github: https://github.com/Tox/toxic
IRC channel on Freenode: chat.freenode.net#tox